## user-session-migration 0.4.1ubuntu3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8) 
project(user-migration)

find_package (PkgConfig)
pkg_check_modules (CACHED_SESSIONMIGRATION_DEPS REQUIRED "glib-2.0>=2.51.1;gio-2.0")

add_subdirectory(data)
add_subdirectory(src)

file(COPY debhelper tests
     DESTINATION ${PROJECT_BINARY_DIR})
add_custom_target(check
                  COMMAND nosetests3
                  DEPENDS user-session-migration)

macro(add_manpages target manpages translations)
    foreach(man ${manpages})
        string(LENGTH ${man} manpage_length)
        math(EXPR manpage_length ${manpage_length}-1)
        string(SUBSTRING ${man} ${manpage_length} 1 section)
        install(FILES ${man} DESTINATION share/man/man${section})

        if (USE_NLS)
            foreach(translation ${translations})
                set(transdir ${CMAKE_CURRENT_BINARY_DIR}/${translation})
                add_po4a(man ${man} po/${translation}.po ${transdir}/${man} "")
                install(FILES ${transdir}/${man}
                        DESTINATION share/man/${translation}/man${section})
                set(files ${files} ${transdir}/${man})
            endforeach(translation ${translations})
        endif(USE_NLS)
    endforeach(man ${manpages})
    add_custom_target(${target} ALL DEPENDS ${files})
endmacro(add_manpages target manpages translations)
add_manpages(doc-rawman user-session-migration.1 "en;")

=== data/CMakeLists.txt ===
install (FILES user-session-migration.service DESTINATION lib/systemd/user)

=== src/CMakeLists.txt ===
set (CFLAGS ${CACHED_SESSIONMIGRATION_DEPS_CFLAGS})
set (LIBS ${CACHED_SESSIONMIGRATION_DEPS_LIBRARIES} ${UNITY_STANDALONE_LADD})

add_definitions (${CFLAGS})
link_libraries (${LIBS})

add_executable (user-session-migration user-session-migration.c)

install(TARGETS user-session-migration DESTINATION bin)

## user-session-migration 0.4.1~mx23%2B1

=== debian/changelog ===
user-session-migration (0.4.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 14 Dec 2023 11:45:19 -0800

user-session-migration (0.4.1) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Apr 2023 14:06:15 -0400

user-session-migration (0.4.0) experimental; urgency=medium

  * Initial release to Debian (Closes: #1013992)
  * Rename to user-session-migration per debian-devel feedback.
    This means the dh helper is now user-session-migration and you
    can Build-Depend on dh-sequence-user-session-migration to use it.
  * Drop obsolete upstart support; there's already a systemd user service
  * Update debian/copyright

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 05 Apr 2023 16:38:41 -0400

session-migration (0.3.6) jammy; urgency=medium

  * Have dh-migrations Provide dh-sequence-migrations
  * Build-Depend on debhelper-compat 13

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 17 Mar 2022 10:19:20 -0400

session-migration (0.3.5build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:24:13 +0200

session-migration (0.3.5) focal; urgency=medium

  * tests/debhelper_tests.py:
    - updated test_build_with_missing_script to the format changes in the
      debhelper error string, fixes the build (lp: #1870081)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Apr 2020 15:18:57 +0200

session-migration (0.3.4) disco; urgency=medium

  * Fix failing tests due to keyfiles get from stdlib not keeping tuple
    order. (LP: #1823435)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 09 Apr 2019 15:38:19 +0200

session-migration (0.3.3) bionic; urgency=medium

  * src/session-migration.c:
    fix default permission when creating unexisting parent directories
    to be 700. (LP: #1735929)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 23 Jan 2018 10:31:30 +0100

session-migration (0.3.2) artful; urgency=medium

  * tests/debhelper_tests.py: Unset $DH_INTERNAL_OPTIONS from the environment
    when building packages for the tests. When we do an arch-only build, this
    contains '-a', which causes the test packages to not build since they are
    arch: any. (LP: #1704238)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 14 Jul 2017 10:51:03 +0100

session-migration (0.3.1) artful; urgency=medium

  * src/session-migration.c: Set the locale, so we can get unicode output.
  * tests/migration_tests.py, debian/control, CMakeLists.txt: Expect “ and ”
    as quote marks from GLib - as of 2.51, this is what it outputs. Require
    this version of glib at build-time.
  * debian/rules: Run the tests in C.UTF-8 so we can actually get those
    characters.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 13 Jul 2017 16:44:57 +0100

session-migration (0.3) yakkety; urgency=medium

  * Add systemd user units, which are used if the user session is launched
    under systemd.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 22 Jul 2016 12:08:48 +0100

session-migration (0.2.3) wily; urgency=low

  * debian/patches/fix-typo-in-package-desc.dff: fix typo in package
    description. The word 'packaged' was replaced with 'packages'.
    (LP: #1193822)

 -- Gayan Weerakutti <gayan@reversiblean.com>  Wed, 06 May 2015 11:39:12 +0530

session-migration (0.2.2) vivid; urgency=medium

  [ Justin McPherson ]
  * Fix spelling in doc

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 15 Apr 2015 12:37:15 +0200

session-migration (0.2.1) trusty; urgency=low

  [ Didier Roche ]
  * add more info to the manpage

  [ Iain Lane ]
  * Add an upstart user session script, so we can run session-migration under
    more types of session.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 09 Jan 2014 11:27:26 +0000

session-migration (0.2) quantal; urgency=low

  * dh_migrations adds a dependency using ${misc:Depends} on the packages
    using a migration
  * add a second binary packages for test and making additional checks
  * fix a typo in the man

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 19 Jul 2012 16:50:49 +0200

session-migration (0.1) quantal; urgency=low

  * Initial release

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Jul 2012 18:41:19 +0200

=== debian/control ===
Source: user-session-migration
Section: misc
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Jeremy Bicha <jbicha@ubuntu.com>,
 Debian UBports Team <team+ubports@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake (>= 2.8),
               libglib2.0-dev (>= 2.51.1),
               python3-nose <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://launchpad.net/session-migration
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/user-session-migration.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/user-session-migration

Package: user-session-migration
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Tool to migrate in-session user data
 This tool is used to migrate in-session user data when a program is evolving
 its configuration, or needing to have files moved and so on.
 .
 This program is generally autostarted at the very beginning of the session
 and integrates caching capability.

Package: dh-user-session-migration
Architecture: all
Depends: ${misc:Depends},
         debhelper,
Provides: dh-sequence-user-session-migration
Description: debhelper extension for user-session-migration support
 This package provides a debhelper extension to perform user session migration
 operations on the installed packages.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_install:
	mkdir -p debian/dh-user-session-migration/usr/share/man/man1/
	pod2man -c Debhelper -r "$(DEB_VERSION)" debhelper/dh_user-session-migration debian/dh-user-session-migration/usr/share/man/man1/dh_user-session-migration.1

override_dh_auto_test:

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## user-session-migration 0.4.1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: user-session-migration
 Section: misc
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Jeremy Bicha <jbicha@ubuntu.com>,

## user-session-migration 0.4.1ubuntu3

=== debian/changelog ===
user-session-migration (0.4.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:28:33 +1100

user-session-migration (0.4.1ubuntu2) noble; urgency=medium

  * Do not use "%ld" specifier to print time_t timestamp.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 12:29:27 +1300

user-session-migration (0.4.1ubuntu1) noble; urgency=medium

  * Fix test failures with python3.12.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Mar 2024 18:16:47 +0000

user-session-migration (0.4.1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:54:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: user-session-migration
 Section: misc
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Jeremy Bicha <jbicha@ubuntu.com>,

## user-session-migration 0.4.3

=== debian/changelog ===
user-session-migration (0.4.3) unstable; urgency=medium

  [ Guido Berhoerster ]
  * unit tests:
    - Fix compatibility with Python >= 3.12. (Closes: #1074645).

  [ Mike Gabriel ]
  * tests/:
    - Stop using nosetests3, use Python standard library's unittest module
      instead.
  * debian/control:
    + Drop from B-D: python3-nose. (Closes: #1071840).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Aug 2024 09:44:58 +0200

user-session-migration (0.4.2) unstable; urgency=medium

  * CMakeLists.txt:
    - Modernize CMake, only require C compiler, define upstream version in
      CMake.
  * tests/debhelper_tests.py:
    - Ignore missing env variables DEB_BUILD_OPTIONS and DH_INTERNAL_OPTIONS.
  * tests/migration_tests.py:
    - RegExp-escape search strings. Don't fail on tests if build directory
      contains regexp-special-characters (such as '+') in the path name.
      (Closes: #1061084).
  * src/user-session-migration.c:
    - Fix FTBFS on architectures affected by t64 transition. (Closes: #1067203).
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Mar 2024 12:17:55 +0100

## user-session-migration 0.4.3+nmu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required (VERSION 2.8) 
-project(user-migration)
+cmake_minimum_required (VERSION 3.13)
+project(user-session-migration VERSION 0.4.3 LANGUAGES C)
 
 find_package (PkgConfig)
 pkg_check_modules (CACHED_SESSIONMIGRATION_DEPS REQUIRED "glib-2.0>=2.51.1;gio-2.0")
@@ -9,9 +9,7 @@
 
 file(COPY debhelper tests
      DESTINATION ${PROJECT_BINARY_DIR})
-add_custom_target(check
-                  COMMAND nosetests3
-                  DEPENDS user-session-migration)
+add_subdirectory(tests)
 
 macro(add_manpages target manpages translations)
     foreach(man ${manpages})

=== tests/CMakeLists.txt ===
add_custom_target(check
                  COMMAND python3 -m unittest
                  DEPENDS user-session-migration)

=== debian/changelog ===
user-session-migration (0.4.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload by the Reproducible Builds team.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 04 May 2025 18:13:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: user-session-migration
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Jeremy Bicha <jbicha@ubuntu.com>,
@@ -10,9 +9,8 @@
 Build-Depends: debhelper-compat (= 13),
                cmake (>= 2.8),
                libglib2.0-dev (>= 2.51.1),
-               python3-nose <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://launchpad.net/session-migration
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/user-session-migration.git
 Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/user-session-migration

=== tests/data/melticecream/debian/control ===
Source: melticecream
Section: utils
Priority: extra
Maintainer: Joe User <joe@example.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 3.9.3

Package: vanilla
Architecture: all
Depends: ${misc:Depends}
Description: vanilla
 vanilla

Package: nochocolate
Architecture: all
Depends: ${misc:Depends}
Description: chocolate
 chocolate

## user-session-migration 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16)
project(user-session-migration VERSION 0.5.0 LANGUAGES C)

include(GNUInstallDirs)

option(ENABLE_RPM "enable rpm support")
if(ENABLE_RPM)
    set(RPM "RPM-NOTFOUND" CACHE STRING "rpm executable location")
    find_program(RPM "rpm" DOC "rpm executable location")
    if(${RPM} STREQUAL "RPM-NOTFOUND")
        message(FATAL_ERROR "rpm executable not found")
    endif()
    execute_process(COMMAND ${RPM} --eval %{_rpmconfigdir}
                    OUTPUT_VARIABLE RPM_RPMCONFIGDIR
                    OUTPUT_STRIP_TRAILING_WHITESPACE)
    execute_process(COMMAND ${RPM} --eval %{_fileattrsdir}
                    OUTPUT_VARIABLE RPM_FILEATTRSDIR
                    OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()
set(RPM_INSTALL_FULL_RPMCONFIGDIR "${RPM_RPMCONFIGDIR}"
    CACHE STRING "rpm configuration directory")
set(RPM_INSTALL_FULL_FILEATTRSDIR "${RPM_FILEATTRSDIR}"
    CACHE STRING "rpm attribute files directory")
message(STATUS "rpm support: ${ENABLE_RPM} (${RPM})")

find_package (PkgConfig)
pkg_check_modules (CACHED_SESSIONMIGRATION_DEPS REQUIRED "glib-2.0>=2.76")
pkg_get_variable (SYSTEMD_USER_UNIT_DIR systemd systemduserunitdir)

# tests dependencies
find_package (Python3 COMPONENTS Interpreter)
find_program(DPKG_BUILDPACKAGE "dpkg-buildpackage" DOC "dpkg-buildpackage executable location")

if(ENABLE_RPM)
    add_subdirectory(rpm)
endif(ENABLE_RPM)
add_subdirectory(data)
add_subdirectory(src)

enable_testing()
# debhelper/ is expected to be there by a test
file(COPY debhelper
     DESTINATION ${PROJECT_BINARY_DIR})
add_subdirectory(tests)

macro(add_manpages target manpages translations)
    foreach(man ${manpages})
        string(LENGTH ${man} manpage_length)
        math(EXPR manpage_length ${manpage_length}-1)
        string(SUBSTRING ${man} ${manpage_length} 1 section)
        install(FILES ${man} DESTINATION ${CMAKE_INSTALL_MANDIR}/man${section})

        if (USE_NLS)
            foreach(translation ${translations})
                set(transdir ${CMAKE_CURRENT_BINARY_DIR}/${translation})
                add_po4a(man ${man} po/${translation}.po ${transdir}/${man} "")
                install(FILES ${transdir}/${man}
                        DESTINATION ${CMAKE_INSTALL_MANDIR}/${translation}/man${section})
                set(files ${files} ${transdir}/${man})
            endforeach(translation ${translations})
        endif(USE_NLS)
    endforeach(man ${manpages})
    add_custom_target(${target} ALL DEPENDS ${files})
endmacro(add_manpages target manpages translations)
add_manpages(doc-rawman user-session-migration.1 "en;")

=== data/CMakeLists.txt ===
if(SYSTEMD_USER_UNIT_DIR)
    install (FILES user-session-migration.service
             DESTINATION ${SYSTEMD_USER_UNIT_DIR})
endif()

=== tests/CMakeLists.txt ===
if(Python3_FOUND)
    file(COPY test_debhelper.py test_migration.py data
         DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

    if(NOT ${DPKG_BUILDPACKAGE} STREQUAL "DPKG_BUILDPACKAGE-NOTFOUND")
        add_test(NAME debhelper
                 COMMAND ${Python3_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/test_debhelper.py"
                 WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
    endif()

    add_test(NAME migration
             COMMAND ${Python3_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/test_migration.py"
             WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
endif()

=== debian/changelog ===
user-session-migration (0.5.0) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Add optional rpm support
  * Modernize CMake
  * Do not hardcode directories
  * Make systemd support optional and do not hardcode path
  * Remove g_type_init()
  * Use CMake testing facilities and detect dependencies
  * Make debhelper tests pass on Ubuntu 20.04
  * Update Debian packaging

  [ Mike Gabriel ]
  * debian/control: Add to B-D: pkgconf.
  * debian/control: Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/control: Add Multi-Arch: foreign declaration. Thanks, Multi-Arch
    Hinter.

  [ Marco Trevisan (Treviño) ]
  * tests/cmake: Use correct file names for test files
  * tests: Use assets paths relative to test files
  * user-session-migrations: Prefer using XDG_CURRENT_DESKTOP
  * user-session-migration: Free some errors on cleanup
  * user-session-migration: Handle the wait status with GLib utilities
  * user-session-migration: Add support for SKIP exit code
  * cleanup: remove trailing space
  * clieanup: use EXIT{SUCCESS,FAILURE}
  * user-session-migration: Improve logging on key file parsing
  * user-session-migration: Do not leak stdout and stderr
  * user-session-migration: Use autopointer to handle allocated data
  * user-session-migration: Use the hash table as a set
  * user-session-migration: Improve logging on spawn failures
  * user-session-migration: Use GPtrArray instead of unefficient slist
  * user-session-migration: Use G_UNLIKELY to check for verbose case
  * user-session-migration: Use likely macros for dry run too
  * user-session-migration: Use native function to write a string list to ini
  * user-session-migration: Save the state file in a data dir path

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 28 Aug 2025 08:56:55 +0200

=== tests/data/melticecream/debian/changelog ===
melticecream (1) testsuite; urgency=low

  * Initial but late release… icecream has melt down!

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 13 Jul 2012 08:34:22 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,17 @@
 Build-Depends: debhelper-compat (= 13),
                cmake (>= 2.8),
                libglib2.0-dev (>= 2.51.1),
+               pkgconf,
+               systemd-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://launchpad.net/session-migration
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/user-session-migration.git
 Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/user-session-migration
 
 Package: user-session-migration
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Description: Tool to migrate in-session user data

=== tests/data/melticecream/debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: extra
 Maintainer: Joe User <joe@example.com>
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 12)
 Standards-Version: 3.9.3
 
 Package: vanilla

## user-session-migration 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.16)
-project(user-session-migration VERSION 0.5.0 LANGUAGES C)
+project(user-session-migration VERSION 0.5.1 LANGUAGES C)
 
 include(GNUInstallDirs)

=== rpm/CMakeLists.txt ===
install (FILES usersessionmigration.attr
         DESTINATION "${RPM_INSTALL_FULL_FILEATTRSDIR}")
install (PROGRAMS usersessionmigration.req
         DESTINATION "${RPM_INSTALL_FULL_RPMCONFIGDIR}")
install (FILES macros.usersessionmigration
         DESTINATION "${RPM_INSTALL_FULL_RPMCONFIGDIR}/macros.d")

=== src/CMakeLists.txt ===
add_executable (user-session-migration user-session-migration.c)
target_compile_options (user-session-migration PRIVATE
                        ${CACHED_SESSIONMIGRATION_DEPS_CFLAGS})
target_include_directories (user-session-migration PRIVATE
                            ${CACHED_SESSIONMIGRATION_DEPS_INCLUDE_DIRS})
target_link_options (user-session-migration PRIVATE
                     ${CACHED_SESSIONMIGRATION_DEPS_LDFLAGS})
target_link_libraries (user-session-migration PRIVATE
                       ${CACHED_SESSIONMIGRATION_DEPS_LIBRARIES})
install(TARGETS user-session-migration RUNTIME)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -11,4 +11,10 @@
     add_test(NAME migration
              COMMAND ${Python3_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/test_migration.py"
              WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
+
+    add_test(build_user_session_migration
+             ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR}
+             --target user-session-migration)
+    set_tests_properties(migration
+                         PROPERTIES DEPENDS build_user_session_migration)
 endif()

=== debian/changelog ===
user-session-migration (0.5.1) unstable; urgency=medium

  * debian/control: Add myself to uploaders
  * tests: Add test dependency on user-session-migration binary
  * debian/tests: Add autopkgtests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 23 Oct 2025 02:58:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Jeremy Bicha <jbicha@ubuntu.com>,
+ Marco Trevisan (Treviño) <marco@ubuntu.com>,
  Debian UBports Team <team+ubports@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake (>= 2.8),

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,4 @@
 	pod2man -c Debhelper -r "$(DEB_VERSION)" debhelper/dh_user-session-migration debian/dh-user-session-migration/usr/share/man/man1/dh_user-session-migration.1
 
 override_dh_auto_test:
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	LC_ALL=C.UTF-8 dh_auto_test

=== tests/data/melticecream/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with user-session-migration --parallel

=== debian/tests/control ===
Tests: build-and-test
Depends: @builddeps@
Restrictions: allow-stderr
